### Hierarchy

- Translate
  - TranslateService

## Index

### Constructors

- constructor

### Properties

- _type
- defaultLanguage
- i18n
- language
- libTranslate
- supportedLanguages
- t
- translations
- translationsLocation

### Accessors

- type
- instance

### Methods

- add
- get
- initTranslateJs
- loadTranslation
- registerTranslateComponents
- set
- updateTranslateComponents
- use

### Object literals

- options

## Constructors

### constructor

- new TranslateService(enforcer: any): TranslateService

- Overrides Translate.constructor

  - Defined in translate/translate-service.ts:8

  #### Parameters

  - ##### enforcer: any

  #### Returns TranslateService

## Properties

### _type

_type: string

- Defined in translate/translate-service.ts:8

### defaultLanguage

defaultLanguage: string = "en-US"

Inherited from Translate.defaultLanguage

- Defined in translate/translate.ts:9

### i18n

i18n: object = i18n

Inherited from Translate.i18n

- Defined in translate/translate.ts:7

#### Type declaration

### language

language: string

Inherited from Translate.language

- Defined in translate/translate.ts:15

### libTranslate

libTranslate: any

Inherited from Translate.libTranslate

- Defined in translate/translate.ts:8

### supportedLanguages

supportedLanguages: string[] = ['en-US','nl-NL']

Inherited from Translate.supportedLanguages

- Defined in translate/translate.ts:10

### t

t: any

Inherited from Translate.t

- Defined in translate/translate.ts:6

### translations

translations: object

Inherited from Translate.translations

- Defined in translate/translate.ts:14

#### Type declaration

### translationsLocation

translationsLocation: string = "assets/translations"

Inherited from Translate.translationsLocation

- Defined in translate/translate.ts:16

## Accessors

### type

- get type(): string
- set type(value: string): void

- - Defined in translate/translate-service.ts:32

  #### Returns string

- - Defined in translate/translate-service.ts:36

  #### Parameters

  - ##### value: string

  #### Returns void

### Static instance

- get instance(): any

- - Defined in translate/translate-service.ts:18

  #### Returns any

## Methods

### add

- add(translationsObject: any): void

- Inherited from Translate.add

  - Defined in translate/translate.ts:54

  #### Parameters

  - ##### translationsObject: any

  #### Returns void

### get

- get(translationKey: any, ...params: any[]): string

- Inherited from Translate.get

  - Defined in translate/translate.ts:41

  Translates a string to the current language of the TranslateService.

  #### Parameters

  - ##### translationKey: any

    The string to translate.

  - ##### Rest ...params: any[]

    The parameters to send to the translate function.

  #### Returns string

### initTranslateJs

- initTranslateJs(): void

- Inherited from Translate.initTranslateJs

  - Defined in translate/translate.ts:94

  #### Returns void

### loadTranslation

- loadTranslation(language: string): Promise<void>

- Inherited from Translate.loadTranslation

  - Defined in translate/translate.ts:77

  #### Parameters

  - ##### language: string

  #### Returns Promise<void>

### registerTranslateComponents

- registerTranslateComponents(): void

- - Defined in translate/translate-service.ts:25

  #### Returns void

### set

- set(translationKey: string, value: any): void

- Inherited from Translate.set

  - Defined in translate/translate.ts:50

  Adds a translated string to the current language object.

  #### Parameters

  - ##### translationKey: string

    The identifier of the translation.

  - ##### value: any

    The value of the translation in the current selected language.

  #### Returns void

### updateTranslateComponents

- updateTranslateComponents(): void

- Inherited from Translate.updateTranslateComponents

  - Defined in translate/translate.ts:86

  #### Returns void

### use

- use(language: string, reloadRemote?: boolean): Promise<void>

- Inherited from Translate.use

  - Defined in translate/translate.ts:68

  Switch the current language of the translateService. If the supplied language parameter is not yet present in the translations object, the service will try to load a json file in the location specified in translationsLocation property. example: use('fr'), will load 'assets/translations/fr.json' by default

  #### Parameters

  - ##### language: string

    The language identifier.

  - ##### Default value reloadRemote: boolean = false

    Set this to true to reload the json translation file.

  #### Returns Promise<void>

## Object literals

### options

options: object

Inherited from Translate.options

- Defined in translate/translate.ts:17

### debug

debug: boolean = false

- Defined in translate/translate.ts:18

### namespaceSplitter

namespaceSplitter: string = "::"

- Defined in translate/translate.ts:19